gtk.IMMulticontext
Prev | The gtk Class Reference | Next

## gtk.IMMulticontext

gtk.IMMulticontext — an input method context object that manages the use of multiple input method contexts for a widget

## Synopsis

    class gtk.IMMulticontext(gtk.IMContext):
        gtk.IMMulticontext()
        def append_menuitems(menushell)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.IMContext
          +-- gtk.IMMulticontext

## gtk.IMMulticontext Signal Prototypes

gobject.GObject Signal Prototypes

gtk.IMContext Signal Prototypes

## Description

The `gtk.IMMulticontext` class is a subclass of `gtk.IMContext` that manages the use of multiple input method contexts for a widget including the ability to switch between contexts on the fly. A `gtk.IMMulticontext` object will proxy the method calls and signals to and from the object implementing the input method.

## Constructor

        gtk.IMMulticontext()

Returns : | a new `gtk.IMMulticontext` object.

Creates a new `gtk.IMMulticontext` object.

## Methods

### gtk.IMMulticontext.append_menuitems

        def append_menuitems(menushell)

`menushell` : | a `gtk.MenuShell` widget

The `append_menuitems`() method adds menuitems for various available input methods to a menu; the menuitems, when selected, will switch the input method for the context and the global default input method.

Prev | Up | Next
gtk.IMContextSimple | Home | gtk.InputDialog